Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionNineToVersionTenUpgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
          com.atlassian.bamboo.upgrader.VersionNineToVersionTenUpgrader

All Implemented Interfaces:
  Upgrader

    public class VersionNineToVersionTenUpgrader

extends AbstractBuildUpgrader

This class updgrades version eight build files to version ten build files.

Simply adds the myBuildJdk property to the LegacyBuildObject objects that are initialised to the system JAVA_HOME.

Nested Class Summary
`class` | `VersionNineToVersionTenUpgrader.MyBuild`

Constructor Summary
`VersionNineToVersionTenUpgrader(File buildDirectory)` Initialise the upgrader with the location of the configuration files and webapp root directory

Method Summary
`protected void` | `updateBuildFile(File buildFile)`

Methods inherited from class com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
`getBuildDirectory, getXStreamPersister, readInTheBuildFile, readInTheBuildFile, saveBuildBackToFile, upgrade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionNineToVersionTenUpgrader

    public VersionNineToVersionTenUpgrader(File buildDirectory)

  Initialise the upgrader with the location of the configuration files and webapp root directory

  Parameters:
    `buildDirectory` - The location of the build files

Method Detail

### updateBuildFile

    protected void updateBuildFile(File buildFile)

  Specified by:
    `updateBuildFile` in class `AbstractBuildUpgrader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.